Uploaded image for project: 'WildFly'
  1. WildFly
  2. WFLY-5446

Support connection to older messaging servers

    XMLWordPrintable

Details

    • Feature Request
    • Status: Closed (View Workflow)
    • Critical
    • Resolution: Done
    • 10.0.0.CR2
    • 10.0.0.CR4
    • JMS
    • None

    Description

      WildFly 10 comes with new Artemis messaging broker.

      At the moment, it is not possible to connect to an older WildFly server (WFLY 8 & 9) that were using HornetQ messaging broker.

      It should be possible for a WildFly10 application to connect to these older brokers (esp. during migration and system upgrade).
      This should work both for JMS client and MDB deployed on WildFly 10 by using a pooled-connection-factory pointing to the old servers.

      Attachments

        Issue Links

          Activity

            People

              jmesnil1@redhat.com Jeff Mesnil
              jmesnil1@redhat.com Jeff Mesnil
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: